Subject: Re: bug#51858: 29.0.50; pcomplete not ignoring case

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 19 Nov 2021 06:32:00 +0100

Carlos Pita <[email-masked]> writes:

> Thanks! Your fix works for me. I'm not sure if this is the best place to set
> completion-ignore-case though.

Yeah, me neither.  The completion machinery is hard to grok -- there's
so many magical wrappers and stuff that reasoning about it is a challenge.

> If you look at the code for comint--complete-file-name-data you will
> find that completion-ignore-case is set in the same way that you
> did. But perhaps too late because at that point
> comint-completion-file-name-table has already been called.

Yes, I think so.

> Perhaps the best fix is to bind completion-ignore-case
> earlier in comint--complete-file-name-data. But if
> comint-completion-file-name-table is intended to be called from other places,
> then it's better to set completion-ignore-case there as you did.

I think I tried doing that, and it didn't do the right thing, but I may
be mistaken.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no